#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=mamuju2.8_base.ps
projection=-JM16.0c+
region=-R118.4/120.4/-4.7/-2.1
gmt psbasemap $region $projection -Bxa1.0f0.1 -Bya1.0f0.1 -BWeSn+t'Base Map mamuju2.8' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut @earth_relief_01m -Gmloc.grd $region
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia/blue -Wblue -O -K >> $psfile
# Event numbers
gmt psxy -: -R $projection -Sl8p+t"1" -G0 -O -K << END >> $psfile
    -2.781   119.754
END
gmt psxy -: -R $projection -Sl8p+t"2" -G0 -O -K << END >> $psfile
    -2.942   119.670
END
gmt psxy -: -R $projection -Sl8p+t"3" -G0 -O -K << END >> $psfile
    -4.103   119.107
END
gmt psxy -: -R $projection -Sl8p+t"4" -G0 -O -K << END >> $psfile
    -2.890   118.862
END
gmt psxy -: -R $projection -Sl8p+t"5" -G0 -O -K << END >> $psfile
    -2.770   118.852
END
gmt psxy -: -R $projection -Sl8p+t"6" -G0 -O -K << END >> $psfile
    -4.450   120.223
END
gmt psxy -: -R $projection -Sl8p+t"7" -G0 -O -K << END >> $psfile
    -4.579   120.100
END
gmt psxy -: -R $projection -Sl8p+t"8" -G0 -O -K << END >> $psfile
    -4.589   120.120
END
gmt psxy -: -R $projection -Sl8p+t"9" -G0 -O -K << END >> $psfile
    -3.868   119.654
END
gmt psxy -: -R $projection -Sl8p+t"10" -G0 -O -K << END >> $psfile
    -3.886   119.742
END
gmt psxy -: -R $projection -Sl8p+t"11" -G0 -O -K << END >> $psfile
    -3.872   119.721
END
gmt psxy -: -R $projection -Sl8p+t"12" -G0 -O -K << END >> $psfile
    -3.758   119.240
END
gmt psxy -: -R $projection -Sl8p+t"13" -G0 -O -K << END >> $psfile
    -3.261   119.691
END
gmt psxy -: -R $projection -Sl8p+t"14" -G0 -O -K << END >> $psfile
    -2.923   119.697
END
gmt psxy -: -R $projection -Sl8p+t"15" -G0 -O -K << END >> $psfile
    -2.185   119.062
END
gmt psxy -: -R $projection -Sl8p+t"16" -G0 -O -K << END >> $psfile
    -3.520   118.545
END
gmt psxy -: -R $projection -Sl8p+t"17" -G0 -O -K << END >> $psfile
    -3.230   118.848
END
gmt psxy -: -R $projection -Sl8p+t"18" -G0 -O -K << END >> $psfile
    -2.338   119.107
END
gmt psxy -: -R $projection -Sl8p+t"19" -G0 -O -K << END >> $psfile
    -2.725   119.252
END
gmt psxy -: -R $projection -Sl8p+t"20" -G0 -O -K << END >> $psfile
    -2.373   119.305
END
gmt psxy -: -R $projection -Sl8p+t"21" -G0 -O -K << END >> $psfile
    -2.845   118.774
END
gmt psxy -: -R $projection -Sl8p+t"22" -G0 -O -K << END >> $psfile
    -3.775   119.294
END
gmt psxy -: -R $projection -Sl8p+t"23" -G0 -O -K << END >> $psfile
    -4.542   120.066
END
gmt psxy -: -R $projection -Sl8p+t"24" -G0 -O -K << END >> $psfile
    -2.485   119.483
END
gmt psxy -: -R $projection -Sl8p+t"25" -G0 -O -K << END >> $psfile
    -2.436   119.431
END
gmt psxy -: -R $projection -Sl8p+t"26" -G0 -O -K << END >> $psfile
    -2.492   119.471
END
gmt psxy -: -R $projection -Sl8p+t"27" -G0 -O -K << END >> $psfile
    -2.295   119.552
END
gmt psxy -: -R $projection -Sl8p+t"28" -G0 -O -K << END >> $psfile
    -2.943   119.778
END
gmt psxy -: -R $projection -Sl8p+t"29" -G0 -O -K << END >> $psfile
    -4.634   120.085
END
gmt psxy -: -R $projection -Sl8p+t"30" -G0 -O -K << END >> $psfile
    -2.256   119.141
END
gmt psxy -: -R $projection -Sl8p+t"31" -G0 -O -K << END >> $psfile
    -2.947   119.763
END
gmt psxy -: -R $projection -Sl8p+t"32" -G0 -O -K << END >> $psfile
    -2.956   119.507
END
gmt psxy -: -R $projection -Sl8p+t"33" -G0 -O -K << END >> $psfile
    -2.957   119.520
END
gmt psxy -: -R $projection -Sl8p+t"34" -G0 -O -K << END >> $psfile
    -2.957   119.518
END
gmt psxy -: -R $projection -Sl8p+t"35" -G0 -O -K << END >> $psfile
    -2.961   119.516
END
gmt psxy -: -R $projection -Sl8p+t"36" -G0 -O -K << END >> $psfile
    -2.979   119.459
END
gmt psxy -: -R $projection -Sl8p+t"37" -G0 -O -K << END >> $psfile
    -2.951   119.468
END
gmt psxy -: -R $projection -Sl8p+t"38" -G0 -O -K << END >> $psfile
    -2.976   119.512
END
gmt psxy -: -R $projection -Sl8p+t"39" -G0 -O -K << END >> $psfile
    -2.946   119.457
END
gmt psxy -: -R $projection -Sl8p+t"40" -G0 -O -K << END >> $psfile
    -2.953   119.475
END
gmt psxy -: -R $projection -Sl8p+t"41" -G0 -O -K << END >> $psfile
    -3.020   119.515
END
gmt psxy -: -R $projection -Sl8p+t"42" -G0 -O -K << END >> $psfile
    -2.873   119.322
END
gmt psxy -: -R $projection -Sl8p+t"43" -G0 -O -K << END >> $psfile
    -3.010   119.547
END
gmt psxy -: -R $projection -Sl8p+t"44" -G0 -O -K << END >> $psfile
    -2.925   119.489
END
gmt psxy -: -R $projection -Sl8p+t"45" -G0 -O -K << END >> $psfile
    -2.952   119.420
END
gmt psxy -: -R $projection -Sl8p+t"46" -G0 -O -K << END >> $psfile
    -2.939   119.447
END
gmt psxy -: -R $projection -Sl8p+t"47" -G0 -O -K << END >> $psfile
    -2.979   119.471
END
gmt psxy -: -R $projection -Sl8p+t"48" -G0 -O -K << END >> $psfile
    -3.003   119.474
END
gmt psxy -: -R $projection -Sl8p+t"49" -G0 -O -K << END >> $psfile
    -2.926   119.449
END
gmt psxy -: -R $projection -Sl8p+t"50" -G0 -O -K << END >> $psfile
    -2.966   119.476
END
gmt psxy -: -R $projection -Sl8p+t"51" -G0 -O -K << END >> $psfile
    -2.957   119.476
END
gmt psxy -: -R $projection -Sl8p+t"52" -G0 -O -K << END >> $psfile
    -2.962   119.442
END
gmt psxy -: -R $projection -Sl8p+t"53" -G0 -O -K << END >> $psfile
    -2.975   119.462
END
gmt psxy -: -R $projection -Sl8p+t"54" -G0 -O -K << END >> $psfile
    -2.974   119.430
END
gmt psxy -: -R $projection -Sl8p+t"55" -G0 -O -K << END >> $psfile
    -2.950   119.515
END
gmt psxy -: -R $projection -Sl8p+t"56" -G0 -O -K << END >> $psfile
    -2.990   119.498
END
gmt psxy -: -R $projection -Sl8p+t"57" -G0 -O -K << END >> $psfile
    -2.960   119.570
END
gmt psxy -: -R $projection -Sl8p+t"58" -G0 -O -K << END >> $psfile
    -2.896   119.291
END
gmt psxy -: -R $projection -Sl8p+t"59" -G0 -O -K << END >> $psfile
    -3.008   119.456
END
gmt psxy -: -R $projection -Sl8p+t"60" -G0 -O -K << END >> $psfile
    -3.030   119.452
END
gmt psxy -: -R $projection -Sl8p+t"61" -G0 -O -K << END >> $psfile
    -2.975   119.427
END
gmt psxy -: -R $projection -Sl8p+t"62" -G0 -O -K << END >> $psfile
    -2.983   119.429
END
gmt psxy -: -R $projection -Sl8p+t"63" -G0 -O -K << END >> $psfile
    -2.992   119.405
END
gmt psxy -: -R $projection -Sl8p+t"64" -G0 -O -K << END >> $psfile
    -2.997   119.418
END
gmt psxy -: -R $projection -Sl8p+t"65" -G0 -O -K << END >> $psfile
    -2.981   119.405
END
gmt psxy -: -R $projection -Sl8p+t"66" -G0 -O -K << END >> $psfile
    -3.751   120.278
END
gmt psxy -: -R $projection -Sl8p+t"67" -G0 -O -K << END >> $psfile
    -2.988   119.491
END
gmt psxy -: -R $projection -Sl8p+t"68" -G0 -O -K << END >> $psfile
    -3.001   119.484
END
gmt psxy -: -R $projection -Sl8p+t"69" -G0 -O -K << END >> $psfile
    -2.940   119.512
END
gmt psxy -: -R $projection -Sl8p+t"70" -G0 -O -K << END >> $psfile
    -3.075   118.619
END
gmt psxy -: -R $projection -Sl8p+t"71" -G0 -O -K << END >> $psfile
    -3.032   119.124
END
gmt psxy -: -R $projection -Sl8p+t"72" -G0 -O -K << END >> $psfile
    -2.960   119.505
END
gmt psxy -: -R $projection -Sl8p+t"73" -G0 -O -K << END >> $psfile
    -3.071   119.469
END
gmt psxy -: -R $projection -Sl8p+t"74" -G0 -O -K << END >> $psfile
    -2.968   119.405
END
gmt psxy -: -R $projection -Sl8p+t"75" -G0 -O -K << END >> $psfile
    -3.535   119.747
END
gmt psxy -: -R $projection -Sl8p+t"76" -G0 -O -K << END >> $psfile
    -4.012   120.119
END
gmt psxy -: -R $projection -Sl8p+t"77" -G0 -O -K << END >> $psfile
    -2.337   119.135
END
gmt psxy -: -R $projection -Sl8p+t"78" -G0 -O -K << END >> $psfile
    -2.320   119.196
END
gmt psxy -: -R $projection -Sl8p+t"79" -G0 -O -K << END >> $psfile
    -3.031   118.981
END
gmt psxy -: -R $projection -Sl8p+t"80" -G0 -O -K << END >> $psfile
    -3.064   118.967
END
# Change in location, calibration shift if available
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -2.779   119.753
    -2.781   119.754
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -2.704   119.715
    -2.781   119.754
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -2.940   119.670
    -2.942   119.670
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -2.840   119.648
    -2.942   119.670
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -4.106   119.107
    -4.103   119.107
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -4.104   119.026
    -4.103   119.107
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -2.889   118.861
    -2.890   118.862
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -2.800   118.788
    -2.890   118.862
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -2.767   118.854
    -2.770   118.852
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -2.784   118.858
    -2.770   118.852
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -4.449   120.223
    -4.450   120.223
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -4.459   120.081
    -4.450   120.223
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -4.579   120.101
    -4.579   120.100
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -4.637   119.992
    -4.579   120.100
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -4.589   120.122
    -4.589   120.120
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -4.616   120.124
    -4.589   120.120
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -3.867   119.653
    -3.868   119.654
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -3.752   119.756
    -3.868   119.654
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -3.885   119.742
    -3.886   119.742
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -3.856   119.713
    -3.886   119.742
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -3.870   119.723
    -3.872   119.721
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -3.857   119.699
    -3.872   119.721
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -3.756   119.242
    -3.758   119.240
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -3.737   119.277
    -3.758   119.240
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -3.261   119.691
    -3.261   119.691
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -3.160   119.673
    -3.261   119.691
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -2.924   119.696
    -2.923   119.697
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -2.910   119.653
    -2.923   119.697
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -2.185   119.065
    -2.185   119.062
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -2.252   118.996
    -2.185   119.062
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -3.520   118.545
    -3.520   118.545
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -3.513   118.554
    -3.520   118.545
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -3.229   118.848
    -3.230   118.848
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -3.158   118.800
    -3.230   118.848
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -2.339   119.106
    -2.338   119.107
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -2.306   119.093
    -2.338   119.107
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -2.725   119.252
    -2.725   119.252
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -2.693   119.200
    -2.725   119.252
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -2.372   119.306
    -2.373   119.305
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -2.358   119.318
    -2.373   119.305
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -2.844   118.774
    -2.845   118.774
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -2.773   118.812
    -2.845   118.774
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -3.771   119.300
    -3.775   119.294
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -3.773   119.318
    -3.775   119.294
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -4.541   120.069
    -4.542   120.066
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -4.581   120.017
    -4.542   120.066
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -2.485   119.484
    -2.485   119.483
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -2.491   119.448
    -2.485   119.483
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -2.437   119.430
    -2.436   119.431
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -2.423   119.442
    -2.436   119.431
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -2.492   119.470
    -2.492   119.471
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -2.430   119.420
    -2.492   119.471
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -2.292   119.557
    -2.295   119.552
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -2.343   119.467
    -2.295   119.552
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -2.942   119.779
    -2.943   119.778
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -2.929   119.743
    -2.943   119.778
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -4.634   120.085
    -4.634   120.085
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -4.691   120.010
    -4.634   120.085
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -2.255   119.140
    -2.256   119.141
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -2.234   119.120
    -2.256   119.141
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -2.956   119.768
    -2.947   119.763
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -3.080   119.460
    -2.947   119.763
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -2.957   119.507
    -2.956   119.507
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -2.930   119.470
    -2.956   119.507
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -2.956   119.519
    -2.957   119.520
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -2.994   119.492
    -2.957   119.520
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -2.956   119.518
    -2.957   119.518
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -2.907   119.456
    -2.957   119.518
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -2.961   119.516
    -2.961   119.516
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -2.920   119.470
    -2.961   119.516
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -2.979   119.460
    -2.979   119.459
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -2.950   119.460
    -2.979   119.459
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -2.949   119.467
    -2.951   119.468
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -2.917   119.478
    -2.951   119.468
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -2.975   119.511
    -2.976   119.512
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -2.936   119.425
    -2.976   119.512
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -2.946   119.457
    -2.946   119.457
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -2.940   119.400
    -2.946   119.457
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -2.950   119.475
    -2.953   119.475
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -2.920   119.408
    -2.953   119.475
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -3.020   119.515
    -3.020   119.515
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -2.926   119.754
    -3.020   119.515
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -2.873   119.322
    -2.873   119.322
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -2.940   119.450
    -2.873   119.322
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -3.009   119.546
    -3.010   119.547
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -3.035   119.568
    -3.010   119.547
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -2.924   119.489
    -2.925   119.489
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -2.846   119.461
    -2.925   119.489
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -2.951   119.420
    -2.952   119.420
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -2.815   119.505
    -2.952   119.420
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -2.938   119.445
    -2.939   119.447
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -2.901   119.440
    -2.939   119.447
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -2.979   119.471
    -2.979   119.471
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -3.079   119.060
    -2.979   119.471
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -3.003   119.475
    -3.003   119.474
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -3.030   119.490
    -3.003   119.474
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -2.924   119.448
    -2.926   119.449
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -2.951   119.368
    -2.926   119.449
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -2.966   119.476
    -2.966   119.476
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -2.981   119.435
    -2.966   119.476
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -2.956   119.476
    -2.957   119.476
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -2.920   119.460
    -2.957   119.476
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -2.960   119.443
    -2.962   119.442
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -2.930   119.430
    -2.962   119.442
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -2.975   119.462
    -2.975   119.462
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -2.960   119.500
    -2.975   119.462
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -2.971   119.430
    -2.974   119.430
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -2.893   119.411
    -2.974   119.430
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -2.951   119.514
    -2.950   119.515
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -2.975   119.484
    -2.950   119.515
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -2.989   119.499
    -2.990   119.498
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -2.950   119.470
    -2.990   119.498
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -2.959   119.569
    -2.960   119.570
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -2.988   119.466
    -2.960   119.570
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -2.896   119.291
    -2.896   119.291
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -2.925   119.170
    -2.896   119.291
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -3.008   119.456
    -3.008   119.456
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -2.980   119.420
    -3.008   119.456
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -3.030   119.451
    -3.030   119.452
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -3.000   119.420
    -3.030   119.452
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -2.975   119.427
    -2.975   119.427
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -2.940   119.390
    -2.975   119.427
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -2.983   119.429
    -2.983   119.429
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -2.950   119.410
    -2.983   119.429
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -2.991   119.405
    -2.992   119.405
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -2.990   119.390
    -2.992   119.405
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -2.997   119.418
    -2.997   119.418
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -2.970   119.410
    -2.997   119.418
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -2.980   119.405
    -2.981   119.405
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -2.960   119.340
    -2.981   119.405
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -3.750   120.280
    -3.751   120.278
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -3.710   120.340
    -3.751   120.278
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -2.987   119.490
    -2.988   119.491
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -2.980   119.470
    -2.988   119.491
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -3.001   119.484
    -3.001   119.484
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -2.980   119.480
    -3.001   119.484
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -2.940   119.512
    -2.940   119.512
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -2.940   119.520
    -2.940   119.512
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -3.073   118.620
    -3.075   118.619
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -3.067   118.615
    -3.075   118.619
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -3.031   119.124
    -3.032   119.124
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -3.005   118.990
    -3.032   119.124
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -2.958   119.505
    -2.960   119.505
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -2.920   119.520
    -2.960   119.505
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -3.069   119.467
    -3.071   119.469
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -3.063   119.354
    -3.071   119.469
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -2.968   119.406
    -2.968   119.405
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -2.950   119.340
    -2.968   119.405
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -3.533   119.747
    -3.535   119.747
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -3.500   119.660
    -3.535   119.747
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -4.010   120.117
    -4.012   120.119
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -4.098   120.043
    -4.012   120.119
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -2.336   119.136
    -2.337   119.135
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -2.278   119.167
    -2.337   119.135
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -2.318   119.198
    -2.320   119.196
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -2.290   119.030
    -2.320   119.196
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -3.032   118.983
    -3.031   118.981
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -2.977   118.945
    -3.031   118.981
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -3.064   118.968
    -3.064   118.967
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -2.993   118.947
    -3.064   118.967
END
# Confidence ellipses for relative location
gmt psxy -: -R $projection -SE -Wthick -O -K << END >> $psfile
    -2.781   119.754     1.343     3.554     5.608
    -2.942   119.670   -23.770     2.490     4.249
    -4.103   119.107   -20.861     2.825     5.071
    -2.890   118.862   -23.993     2.127     3.649
    -2.770   118.852   -23.451     2.785     4.593
    -4.450   120.223   -27.427     3.234     5.858
    -4.579   120.100   -34.435     7.064     7.977
    -4.589   120.120   -27.711    10.421    13.733
    -3.868   119.654    -8.743     2.219     3.425
    -3.886   119.742   -14.679     3.765     7.857
    -3.872   119.721   -21.107     2.802     4.593
    -3.758   119.240   -13.261     2.287     4.638
    -3.261   119.691    20.072     3.447     6.495
    -2.923   119.697   -28.676     2.464     3.191
    -2.185   119.062    -5.647     2.363     5.358
    -3.520   118.545   -88.094     1.851     2.829
    -3.230   118.848    76.991     4.814     7.540
    -2.338   119.107   -41.784     2.370     7.597
    -2.725   119.252   -51.460     2.178     5.985
    -2.373   119.305   -31.868     1.723     3.919
    -2.845   118.774   -42.407     5.435     9.858
    -3.775   119.294   -33.744     2.283     4.854
    -4.542   120.066     0.034     4.069     5.845
    -2.485   119.483   -28.234     1.946     4.282
    -2.436   119.431   -30.536     2.058     6.724
    -2.492   119.471   -27.282     2.209     5.728
    -2.295   119.552   -18.593     2.160     7.506
    -2.943   119.778   -10.916     3.678     7.331
    -4.634   120.085    27.047     2.605     3.940
    -2.256   119.141    -7.231     5.396     8.810
    -2.947   119.763   -15.503     7.282    12.703
    -2.956   119.507   -64.756     2.075     2.910
    -2.957   119.520   -64.053     2.474     4.892
    -2.957   119.518   -57.951     1.932     2.944
    -2.961   119.516   -66.379     2.238     3.449
    -2.979   119.459    30.493     2.286     2.371
    -2.951   119.468   -46.444     1.661     2.241
    -2.976   119.512   -60.505     2.778     3.118
    -2.946   119.457   -65.015     1.754     2.903
    -2.953   119.475   -44.890     1.367     1.772
    -3.020   119.515    47.029     4.384     5.851
    -2.873   119.322    36.573     5.605     6.475
    -3.010   119.547    68.099     4.367     5.228
    -2.925   119.489   -43.705     1.615     2.177
    -2.952   119.420   -24.331     2.607     4.673
    -2.939   119.447   -63.527     4.577     5.781
    -2.979   119.471    78.616     4.686     6.464
    -3.003   119.474   -85.806     2.761     5.426
    -2.926   119.449   -44.563     1.763     2.240
    -2.966   119.476   -89.095     2.435     3.126
    -2.957   119.476    84.866     2.704     3.162
    -2.962   119.442   -43.784     1.801     2.604
    -2.975   119.462    51.105     3.084     4.909
    -2.974   119.430   -65.930     2.285     3.462
    -2.950   119.515   -56.355     3.297     4.469
    -2.990   119.498   -76.834     2.860     4.377
    -2.960   119.570    89.833     3.791     4.569
    -2.896   119.291    25.795     5.087     6.024
    -3.008   119.456    17.637     2.696     3.163
    -3.030   119.452    14.334     3.064     3.565
    -2.975   119.427    61.950     2.517     4.437
    -2.983   119.429     0.760     2.491     2.761
    -2.992   119.405   -57.540     2.409     2.884
    -2.997   119.418   -84.707     2.291     3.658
    -2.981   119.405   -83.581     2.367     2.625
    -3.751   120.278   -10.413     2.399     5.830
    -2.988   119.491    77.154     2.437     4.457
    -3.001   119.484   -12.007     3.710     4.918
    -2.940   119.512   -17.335     2.957     3.197
    -3.075   118.619   -23.081     2.482     3.976
    -3.032   119.124     6.515     3.010     3.889
    -2.960   119.505   -69.457     2.446     3.868
    -3.071   119.469    82.465     2.501     3.636
    -2.968   119.405   -46.788     2.110     2.619
    -3.535   119.747    -1.748     4.659    10.374
    -4.012   120.119    26.338     3.450    12.827
    -2.337   119.135   -38.699     1.764     2.723
    -2.320   119.196    -9.705     7.239    10.115
    -3.031   118.981   -31.534     1.859     3.210
    -3.064   118.967   -31.517     1.726     2.917
END
# Hypocentroid confidence ellipse
gmt psxy -: -R $projection -SE -Wthick,blue -O -K << END >> $psfile
    -4.680   118.499    23.160     1.981     4.060
END
gmt pstext -: -R $projection -F+f6p,Helvetica,blue+a0.+jBL -O -K << END >> $psfile
    -4.680   118.521   Hypocentroid
END
# Circle of radius 5 km for reference
gmt psxy -: -R $projection -SE -Wthick,red -O -K << END >> $psfile
    -4.680   118.499     0.000    10.000    10.000
END
gmt psxy -: -R $projection -Sx -Wthinnest,blue -O -K << END >> $psfile
    -4.680   118.499     0.070
END
gmt pstext -: -R $projection -F+f6p,Helvetica-Bold,red+a0.+jBC -Gwhite -O << END >> $psfile
    -4.725   118.499   5 km
END
