#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=mamuju2.8_dcal.ps
projection=-JM16.0c+
region=-R116.6/122.2/-6.5/-0.3
gmt psbasemap $region $projection -Bxa1.0f0.5 -Bya1.0f0.5 -BWeSn+t'Direct Calibration mamuju2.8' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut @earth_relief_01m -Gmloc.grd $region
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia/blue -Wblue -O -K >> $psfile
# Raypaths used in direct calibration
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -4.422   119.756
    -4.450   120.223
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.436   119.383
    -4.450   120.223
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.218   119.470
    -4.589   120.120
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.436   119.383
    -3.868   119.654
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.658   120.323
    -3.868   119.654
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.436   119.383
    -3.886   119.742
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.218   119.470
    -3.886   119.742
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.436   119.383
    -3.872   119.721
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.014   119.752
    -3.758   119.240
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -3.261   119.691
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -3.261   119.691
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -4.400   120.106
    -3.261   119.691
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -2.923   119.697
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -2.923   119.697
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -2.690   118.910
    -2.923   119.697
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.550   118.980
    -2.923   119.697
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.550   118.980
    -2.923   119.697
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -2.923   119.697
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -2.923   119.697
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -2.690   118.910
    -2.185   119.062
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -2.690   118.910
    -2.185   119.062
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.550   118.980
    -2.185   119.062
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.550   118.980
    -2.185   119.062
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.550   118.980
    -3.520   118.545
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.550   118.980
    -3.520   118.545
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -3.520   118.545
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -3.520   118.545
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -3.520   118.545
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -3.520   118.545
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -3.230   118.848
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -3.230   118.848
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -3.230   118.848
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -2.338   119.107
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -2.338   119.107
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -2.725   119.252
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -2.725   119.252
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -2.725   119.252
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -2.725   119.252
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -2.373   119.305
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -2.373   119.305
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -2.845   118.774
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -2.845   118.774
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -3.775   119.294
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -3.775   119.294
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -4.400   120.106
    -3.775   119.294
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -4.400   120.106
    -3.775   119.294
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.014   119.752
    -3.775   119.294
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.014   119.752
    -3.775   119.294
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -4.400   120.106
    -4.542   120.066
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.014   119.752
    -4.542   120.066
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -4.542   120.066
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.322   120.122
    -4.542   120.066
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -2.485   119.483
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -2.485   119.483
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -2.485   119.483
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -2.436   119.431
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -2.492   119.471
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -2.492   119.471
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -2.492   119.471
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -2.295   119.552
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -2.295   119.552
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -2.943   119.778
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.501   118.915
    -2.943   119.778
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -2.943   119.778
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -2.943   119.778
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -4.400   120.106
    -2.943   119.778
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -4.400   120.106
    -4.634   120.085
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.014   119.752
    -4.634   120.085
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.014   119.752
    -4.634   120.085
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.014   119.752
    -4.634   120.085
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.014   119.752
    -4.634   120.085
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.322   120.122
    -4.634   120.085
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.322   120.122
    -4.634   120.085
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -4.634   120.085
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -4.634   120.085
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -2.690   118.910
    -2.256   119.141
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.501   118.915
    -2.256   119.141
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.501   118.915
    -2.947   119.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -4.400   120.106
    -2.947   119.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -2.956   119.507
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.501   118.915
    -2.956   119.507
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.501   118.915
    -2.956   119.507
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -2.956   119.507
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -2.956   119.507
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -2.957   119.520
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -2.957   119.520
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.501   118.915
    -2.957   119.520
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -2.957   119.520
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -2.957   119.518
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -2.957   119.518
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.501   118.915
    -2.957   119.518
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -2.957   119.518
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -2.961   119.516
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -2.961   119.516
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.501   118.915
    -2.961   119.516
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.501   118.915
    -2.961   119.516
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -2.961   119.516
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -2.961   119.516
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -2.979   119.459
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.501   118.915
    -2.979   119.459
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.501   118.915
    -2.979   119.459
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -2.979   119.459
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -2.979   119.459
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -2.951   119.468
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -2.951   119.468
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.501   118.915
    -2.951   119.468
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.501   118.915
    -2.951   119.468
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -2.951   119.468
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -2.951   119.468
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -2.976   119.512
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.501   118.915
    -2.976   119.512
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.501   118.915
    -2.976   119.512
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -2.976   119.512
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -2.976   119.512
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -2.946   119.457
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.501   118.915
    -2.946   119.457
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -2.946   119.457
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -2.953   119.475
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -2.953   119.475
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.501   118.915
    -2.953   119.475
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.501   118.915
    -2.953   119.475
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.501   118.915
    -2.953   119.475
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -2.953   119.475
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -2.953   119.475
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -3.020   119.515
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -3.020   119.515
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.501   118.915
    -3.020   119.515
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.501   118.915
    -3.020   119.515
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -3.020   119.515
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -4.400   120.106
    -3.020   119.515
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -4.400   120.106
    -3.020   119.515
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -2.873   119.322
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -2.873   119.322
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -3.010   119.547
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.501   118.915
    -3.010   119.547
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.501   118.915
    -3.010   119.547
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -3.010   119.547
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -3.010   119.547
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -4.400   120.106
    -3.010   119.547
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -4.400   120.106
    -3.010   119.547
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -2.925   119.489
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.501   118.915
    -2.925   119.489
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.501   118.915
    -2.925   119.489
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -2.925   119.489
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -2.952   119.420
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.501   118.915
    -2.952   119.420
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -2.952   119.420
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -2.939   119.447
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -2.939   119.447
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.501   118.915
    -2.939   119.447
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -2.939   119.447
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -2.939   119.447
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.501   118.915
    -2.979   119.471
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.501   118.915
    -2.979   119.471
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -2.979   119.471
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -2.979   119.471
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -2.979   119.471
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -3.003   119.474
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -3.003   119.474
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.501   118.915
    -3.003   119.474
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.501   118.915
    -3.003   119.474
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -3.003   119.474
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -2.926   119.449
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -2.926   119.449
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.501   118.915
    -2.926   119.449
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.501   118.915
    -2.926   119.449
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.501   118.915
    -2.926   119.449
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -2.966   119.476
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -2.966   119.476
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.501   118.915
    -2.966   119.476
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.501   118.915
    -2.966   119.476
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -2.966   119.476
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -2.966   119.476
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -2.957   119.476
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -2.957   119.476
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.501   118.915
    -2.957   119.476
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.501   118.915
    -2.957   119.476
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -2.957   119.476
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -2.957   119.476
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -2.962   119.442
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.501   118.915
    -2.962   119.442
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -2.962   119.442
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -2.975   119.462
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.501   118.915
    -2.975   119.462
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.501   118.915
    -2.975   119.462
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -2.975   119.462
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -2.974   119.430
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.501   118.915
    -2.974   119.430
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -2.974   119.430
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -2.950   119.515
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -2.950   119.515
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.501   118.915
    -2.950   119.515
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -2.950   119.515
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -2.950   119.515
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -2.990   119.498
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -2.990   119.498
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.501   118.915
    -2.990   119.498
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.501   118.915
    -2.990   119.498
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -2.990   119.498
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -2.960   119.570
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -2.960   119.570
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.501   118.915
    -2.960   119.570
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.501   118.915
    -2.960   119.570
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -2.960   119.570
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -2.960   119.570
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -2.896   119.291
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -2.896   119.291
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -2.896   119.291
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -3.008   119.456
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -3.008   119.456
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.501   118.915
    -3.008   119.456
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.501   118.915
    -3.008   119.456
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -3.008   119.456
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -3.008   119.456
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -3.030   119.452
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -3.030   119.452
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.501   118.915
    -3.030   119.452
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.501   118.915
    -3.030   119.452
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -3.030   119.452
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -3.030   119.452
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -2.975   119.427
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.501   118.915
    -2.975   119.427
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.501   118.915
    -2.975   119.427
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -2.975   119.427
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -2.975   119.427
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -2.983   119.429
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -2.983   119.429
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.501   118.915
    -2.983   119.429
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.501   118.915
    -2.983   119.429
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -2.983   119.429
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -2.983   119.429
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -2.992   119.405
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -2.992   119.405
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.501   118.915
    -2.992   119.405
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -2.992   119.405
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -2.997   119.418
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -2.997   119.418
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.501   118.915
    -2.997   119.418
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.501   118.915
    -2.997   119.418
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -2.997   119.418
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -2.981   119.405
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -2.981   119.405
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.501   118.915
    -2.981   119.405
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -2.981   119.405
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -2.981   119.405
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -3.751   120.278
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -3.751   120.278
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -4.172   121.651
    -3.751   120.278
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.014   119.752
    -3.751   120.278
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.014   119.752
    -3.751   120.278
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.014   119.752
    -3.751   120.278
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.501   118.915
    -3.751   120.278
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.501   118.915
    -3.751   120.278
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -2.988   119.491
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -2.988   119.491
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.501   118.915
    -2.988   119.491
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -2.988   119.491
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -2.988   119.491
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -3.001   119.484
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -3.001   119.484
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.501   118.915
    -3.001   119.484
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -3.001   119.484
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -2.940   119.512
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -2.940   119.512
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.501   118.915
    -2.940   119.512
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.501   118.915
    -2.940   119.512
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -2.940   119.512
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -2.940   119.512
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.501   118.915
    -3.075   118.619
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -3.075   118.619
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -3.075   118.619
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.501   118.915
    -3.032   119.124
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -3.032   119.124
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -3.032   119.124
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -3.032   119.124
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -2.960   119.505
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.501   118.915
    -2.960   119.505
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -2.960   119.505
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -3.071   119.469
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -3.071   119.469
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.501   118.915
    -3.071   119.469
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.501   118.915
    -3.071   119.469
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -3.071   119.469
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -3.071   119.469
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -4.400   120.106
    -3.071   119.469
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -2.968   119.405
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -2.968   119.405
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.501   118.915
    -2.968   119.405
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.501   118.915
    -2.968   119.405
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -2.968   119.405
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -2.968   119.405
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -3.535   119.747
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.965   119.769
    -3.535   119.747
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -3.535   119.747
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.501   118.915
    -3.535   119.747
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -4.400   120.106
    -3.535   119.747
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.014   119.752
    -3.535   119.747
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.014   119.752
    -3.535   119.747
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.014   119.752
    -3.535   119.747
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.014   119.752
    -4.012   120.119
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.014   119.752
    -4.012   120.119
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.014   119.752
    -4.012   120.119
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -2.690   118.910
    -2.337   119.135
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.045   119.819
    -2.337   119.135
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -2.690   118.910
    -2.320   119.196
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -3.501   118.915
    -2.320   119.196
END
# Seismic stations used for direct calibration, marked by a triangle
gmt psxy -: -R $projection -St -Wthick,black -Gblack -O -K << END >> $psfile
    -4.422   119.756     0.300
    -3.436   119.383     0.300
    -5.218   119.470     0.300
    -3.658   120.323     0.300
    -5.014   119.752     0.300
    -3.045   119.819     0.300
    -4.400   120.106     0.300
    -2.690   118.910     0.300
    -3.550   118.980     0.300
    -3.965   119.769     0.300
    -5.322   120.122     0.300
    -3.501   118.915     0.300
    -4.172   121.651     0.300
END
# S-P stations used for direct calibration, marked by an open diamond
gmt psxy -: -R $projection -Sd -Wthick -O -K << END >> $psfile
END
# Cluster events, marked by open black circles
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -2.781   119.754     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -2.942   119.670     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -4.103   119.107     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -2.890   118.862     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -2.770   118.852     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -4.450   120.223     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -4.579   120.100     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -4.589   120.120     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -3.868   119.654     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -3.886   119.742     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -3.872   119.721     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -3.758   119.240     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -3.261   119.691     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -2.923   119.697     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -2.185   119.062     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -3.520   118.545     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -3.230   118.848     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -2.338   119.107     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -2.725   119.252     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -2.373   119.305     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -2.845   118.774     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -3.775   119.294     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -4.542   120.066     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -2.485   119.483     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -2.436   119.431     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -2.492   119.471     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -2.295   119.552     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -2.943   119.778     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -4.634   120.085     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -2.256   119.141     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -2.947   119.763     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -2.956   119.507     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -2.957   119.520     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -2.957   119.518     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -2.961   119.516     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -2.979   119.459     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -2.951   119.468     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -2.976   119.512     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -2.946   119.457     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -2.953   119.475     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -3.020   119.515     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -2.873   119.322     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -3.010   119.547     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -2.925   119.489     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -2.952   119.420     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -2.939   119.447     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -2.979   119.471     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -3.003   119.474     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -2.926   119.449     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -2.966   119.476     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -2.957   119.476     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -2.962   119.442     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -2.975   119.462     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -2.974   119.430     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -2.950   119.515     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -2.990   119.498     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -2.960   119.570     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -2.896   119.291     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -3.008   119.456     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -3.030   119.452     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -2.975   119.427     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -2.983   119.429     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -2.992   119.405     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -2.997   119.418     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -2.981   119.405     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -3.751   120.278     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -2.988   119.491     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -3.001   119.484     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -2.940   119.512     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -3.075   118.619     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -3.032   119.124     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -2.960   119.505     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -3.071   119.469     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -2.968   119.405     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -3.535   119.747     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -4.012   120.119     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -2.337   119.135     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -2.320   119.196     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -3.031   118.981     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -3.064   118.967     0.200
END
# Circle of radius 1 and 2 degrees
gmt psxy -: -R $projection -SE -Wthicker,red -O << END >> $psfile
    -3.095   119.452     0.000   222.000   222.000
    -3.095   119.452     0.000   444.000   444.000
END
